Page MenuHomePhabricator

Make GrimoireLib display *one* consistent name for one user
Closed, ResolvedPublic

Description

This is https://github.com/VizGrimoire/GrimoireLib/issues/62 - see upstream for more info.
Just creating a clone here so this can be tracked on our monthly DevRel* workboard.

I want anyone to be able to both trust displayed data and make some sense out of displayed data. That's currently not the case.

Related Objects

Event Timeline

Aklapper created this task.Nov 9 2015, 1:18 PM
Aklapper assigned this task to Dicortazar.
Aklapper raised the priority of this task from to High.
Aklapper updated the task description. (Show Details)
Aklapper added a project: DevRel-November-2015.
Aklapper added a project: wikimedia.biterg.io.
Aklapper set Security to None.
Aklapper added subscribers: Aklapper, Qgil.

Reassigning this to @Lcanasdiaz as he'll work on this task.

Dicortazar added a subscriber: Dicortazar.

I guess you want use to include this information on the people.html or .. do you want this information for every table with people?

@Lcanasdiaz:

Username

I expect a consistent single name displayed across korma.
It should not be required to have organization-internal knowledge to know that "John Doe" uses the username "JohnGeorgeDoe" in ITS and "JohnH4xx0r" on SCR and "John_D123" on IRC. I want to realize in korma that this is the very same single person hence I expect korma to display whatever is defined for a uuid under profile > name, everywhere.
Does that sound reasonable?

Maybe maybe currently Korma is supposed to pick the identity > name for each specific source but even if that was the current implementation, that approach does not working consistently either for each single source (see scr* in the example below).

Example:

Affiliation

I expect the current (=calendar date) affiliation(s) to be displayed anywhere where user affiliations are already displayed in korma.
Example:

{
    "end": "2013-12-11T00:00:00", 
    "organization": "Independent", 
    "start": "1900-01-01T00:00:00", 
}, 
{
    "end": "2100-01-01T00:00:00", 
    "organization": "Wikimedia Foundation", 
    "start": "2013-12-12T00:00:00", 
},

Adding the affiliation (and country) on people.html to be displayed is covered in T112528: Affiliations and country of resident should be visible in Korma's user profiles. This is the only request to "add" an affiliation to an existing page where affiliation is not displayed currently, and separate from this task.

Username

The error related to a mixed way of getting the name of a unique identity. What we're testing now is to unify the way some intermediate tables are generated, so we will end up with the same "name" for a unique identity. I'm running the scripts for SCR. If everything goes well, data about name will be unified by the end of the week.

Aklapper moved this task from Backlog to Doing on the wikimedia.biterg.io board.Dec 18 2015, 9:51 AM
Aklapper moved this task from Ready to Go to Doing on the DevRel-December-2015 board.

Thanks, great to hear! Just to clarify, will that use the uuid's profile > name (if defined) for displaying?

This is crearly a bug in GrimoireLib, I'm working on it to fix the Organization displayed on this panel: http://korma.wmflabs.org/browser/scr-contributors.html

Lcanasdiaz moved this task from Backlog to Doing on the DevRel-January-2016 board.Jan 13 2016, 3:08 PM

...and merged in https://github.com/VizGrimoire/GrimoireLib/commit/d646bcd07b584932a0fe229f728f00ec4ab696ef

Going to close this task once it's reflected on korma.wmflabs.org

Library deployed in our server. Waiting to generate a new set of JSON files.

It is not working yet and it should be!. I'm having a look ..

It is fixed now.

Lcanasdiaz closed this task as Resolved.Jan 20 2016, 6:40 PM

@Lcanasdiaz: This looks definitely way better (I checked with the "legoktm" example in T118169#1808175) but I'm not sure it's entirely fixed yet though (or deployed on korma and I'm just too impatient?). Maybe you could clarify?:
Looking at http://korma.wmflabs.org/browser/scr-contributors.html I see both "kmf164" and "aude" listed which link to the very same profile, or both "TTO" and "This, that and the other", or both "Gergo Tisza" and "Tgr", or "info" and "Xqt", or "Yuri Astrakhan" and "--get".

This task summary also mentions "plus *current* affiliation of a user" - that seems to work indeed on all default pages (I can file a separate task about custom http://korma.wmflabs.org/browser/top-contributors.html where more than one affiliation is displayed)! Thanks!

jayvdb reopened this task as Open.Jan 21 2016, 8:18 PM
jayvdb added a subscriber: jayvdb.

I thought having more than one affiliation at top-contributors was a requirement and it is a bug. We'll fix it :)

I thought having more than one affiliation at top-contributors was a requirement and it is a bug. We'll fix it :)

@Lcanasdiaz: Ah. Really not important, no need to work on that. :) More important is having a consistent name displayed, and a correct name displayed (for some people, top-contributors.html displays three digits instead of their names). I am sorry for not having been clear enough about priorities...

Aklapper moved this task from Backlog to Doing on the DevRel-February-2016 board.Feb 1 2016, 12:26 PM

The metrics shown at Looking at http://korma.wmflabs.org/browser/scr-contributors.html have fixed. We had a bug and one of the metrics was not using the SQL table where the unique profiles are created. I wouldn't like to fix it in every metric because as you know we are moving to a brand new product (hopefully) in a couple of months.

I still see this error in top-contributors.html, I'll fix it also there.

Aklapper renamed this task from Make GrimoireLib display *one* consistent name for one user, plus the *current* affiliation of a user to Make GrimoireLib display *one* consistent name for one user.Feb 26 2016, 10:12 AM

The issues found in T117871#2064483 also cover/affect this task (currently only the ITS data source is still inconsistent, the rest works). We're close to fixing this.

[Removed "affiliation of a user" from task summary as that was covered in T112528 already.]

ITS panels show now a consistent name.

https://github.com/VizGrimoire/GrimoireLib/commit/90b27e2fdfbb7c0f809cb2ebb9e6207dfefe9422

So I'm closing this ticket at last! :)

Lcanasdiaz closed this task as Resolved.Mar 14 2016, 3:14 PM

Looking at http://korma.wmflabs.org/browser/top-contributors.html I see e.g. "Catrope" listed as #1.
But clicking that name, I see the name "Roan Katouw" on his profile page.

So... it does not feel entirely consistent yet, but maybe that specific top-contributors page might be stuck and get fixed by fixing T129837?

Lcanasdiaz reopened this task as Open.Mar 18 2016, 4:40 PM

@Aklapper found a new bug related to this topic. I'm working on it.

Going to http://korma.wmflabs.org/browser/mls.html under "Last 30 days" I see #1 Markus' and #2 Stanislav's names not shown on their profile pages.
Same for the example in the description of this task.
Maybe I misunderstood the scope of this task and this was only about ITS and not e.g. MLS?

Lcanasdiaz moved this task from Backlog to Doing on the DevRel-March-2016 board.Mar 18 2016, 4:45 PM

Looking at http://korma.wmflabs.org/browser/top-contributors.html I see e.g. "Catrope" listed as #1.
But clicking that name, I see the name "Roan Katouw" on his profile page.
So... it does not feel entirely consistent yet, but maybe that specific top-contributors page might be stuck and get fixed by fixing T129837?

Yes, it should be!

@Aklapper found a new bug related to this topic. I'm working on it.

Going to http://korma.wmflabs.org/browser/mls.html under "Last 30 days" I see #1 Markus' and #2 Stanislav's names not shown on their profile pages.
Same for the example in the description of this task.
Maybe I misunderstood the scope of this task and this was only about ITS and not e.g. MLS?

https://github.com/VizGrimoire/GrimoireLib/commit/3e28c4f425f781dc7eb62ce2daa7b71fb6d586ff

Should be fixed with the next update, which should be published by Wednesday 10AM (CEST timezone)

I've isolated the bug. Basically it is due to the way the current version of the library calculates the profiles to be included in people.json file. The algorithm is basically obtaining the top contributors from some data sources and creating an entrie for them in people.json file. Having a look a the profiles linked in the top tables for MLS with no name in their personal pages, we can conclude this is not working properly for MLS (maybe it is not even included).

I'm working on it

Lcanasdiaz closed this task as Resolved.Apr 5 2016, 7:33 PM

The changes are working properly.

This is how I tested it:

Commit:

https://github.com/VizGrimoire/GrimoireLib/commit/6c27e6ef56a31e08e5b037aa82a73311f77bdaa0

@Lcanasdiaz: Thanks! One issue: Going to scr-contributors.html, I see both

  1. Obviously the name parameter should be dropped from the URL constructor to allow displaying user data?
  2. Both entries should display the same name and not either Niklas Laxström or Nikerabbit?